Subject: downcasing function arguments by default not appropriate in multi-tty

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 22 Sep 2009 08:27:15 -0700 (PDT)

*Help* buffers downcase function arguments depending on the font in use
 (if it supports italics?).
Changing a buffer's contents based on the font is use is not appropriate
since we have multi-tty, the same buffer can be shown simultaneously in
an X11 frame and a tty frame, and the properties of the font used in the
X11 frame can be very different from the ones used in a tty frame.

So changing the buffer content _by_default_ is not a good idea.
AFAIK we do not do such a thing anywhere else in emacs.